Name:                rmic-maven-plugin
Version:             1.3
Release:             1
Summary:             Uses the java rmic compiler to generate classes used in remote method invocation
License:             MIT
URL:                 http://www.mojohaus.org/rmic-maven-plugin
BuildArch:           noarch
Source0:             https://github.com/mojohaus/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.maven:maven-model:2.0.6)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-project)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:       mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:       mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1
%pom_remove_dep "com.meterware.simplestub:simplestub"
%pom_add_dep "junit:junit::test"

%build
%mvn_build -f -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc License.txt

%files javadoc -f .mfiles-javadoc
%doc License.txt

%changelog
* Mon Dec 11 2023 Ge Wang <wang__ge@126.com> - 1.3-1
- upgrade to version 1.3

* Thu Jul 30 2020 wangyue <wangyue92@huawei.com> - 1.2.1-1
- package init
